Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.crosstabs.fill
Class JRFillCrosstabColumnGroup

    java.lang.Object
      net.sf.jasperreports.crosstabs.fill.JRFillCrosstabGroup
          net.sf.jasperreports.crosstabs.fill.JRFillCrosstabColumnGroup

All Implemented Interfaces:
  java.lang.Cloneable, JRCrosstabColumnGroup, JRCrosstabGroup, JRCloneable

    public class JRFillCrosstabColumnGroup

extends JRFillCrosstabGroup
implements JRCrosstabColumnGroup

Crosstab column group implementation used at fill time.

Version:
  $Id: JRFillCrosstabColumnGroup.java 3498 2010-03-03 14:24:19Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Field Summary

Fields inherited from class net.sf.jasperreports.crosstabs.fill.JRFillCrosstabGroup
`header, parentGroup, totalHeader, variable`

Constructor Summary
`JRFillCrosstabColumnGroup(JRCrosstabColumnGroup group, JRFillCrosstabObjectFactory factory)`

Method Summary
`int` | `getHeight()` Returns the height of the group headers.
`byte` | `getPosition()` Deprecated. Replaced by `getPositionValue()`.
`CrosstabColumnPositionEnum` | `getPositionValue()` Returns the position of the header contents for header stretching.

Methods inherited from class net.sf.jasperreports.crosstabs.fill.JRFillCrosstabGroup
`clone, getBucket, getFillHeader, getFillTotalHeader, getFillVariable, getHeader, getName, getTotalHeader, getTotalPosition, getTotalPositionValue, getVariable, hasTotal`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.crosstabs.JRCrosstabGroup
`getBucket, getHeader, getName, getTotalHeader, getTotalPosition, getTotalPositionValue, getVariable, hasTotal`

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Constructor Detail

### JRFillCrosstabColumnGroup

    public JRFillCrosstabColumnGroup(JRCrosstabColumnGroup group,
                                     JRFillCrosstabObjectFactory factory)

Method Detail

### getPosition

    public byte getPosition()

  Deprecated. Replaced by `getPositionValue()`.

  Specified by:
    `getPosition` in interface `JRCrosstabColumnGroup`

### getPositionValue

    public CrosstabColumnPositionEnum getPositionValue()

  Description copied from interface: `JRCrosstabColumnGroup`
  Returns the position of the header contents for header stretching.

  The column group headers stretch horizontally when there are multiple sub group entries. The header contents will be adjusted to the new width depending on this attribute:

  - `CrosstabColumnPositionEnum.LEFT` - the contents will be rendered on the left side of the header
  - `CrosstabColumnPositionEnum.CENTER` - the contents will be rendered on the center of the header
  - `CrosstabColumnPositionEnum.RIGHT` - the contents will be rendered on the right side of the header
  - `CrosstabColumnPositionEnum.STRETCH` - the contents will be proportionally stretched to the new header size

  Specified by:
    `getPositionValue` in interface `JRCrosstabColumnGroup`
  Returns:
    the position of the header contents for header stretching

### getHeight

    public int getHeight()

  Description copied from interface: `JRCrosstabColumnGroup`
  Returns the height of the group headers.

  Specified by:
    `getHeight` in interface `JRCrosstabColumnGroup`
  Returns:
    the height of the group headers
  See Also:
    `JRCrosstabGroup.getHeader()`, `JRCrosstabGroup.getTotalHeader()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com